package com.huimv.admin.controller;


import com.huimv.admin.common.token.TokenSign;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEartagData2Service;
import com.huimv.admin.service.IEartagDeviceRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-09-20
 */
@RestController
@RequestMapping("/eartag-device-register")
@CrossOrigin
public class EartagDeviceRegisterController {
    @Autowired
    private IEartagDeviceRegisterService registerService;

    @PostMapping("/listCount")
    public Result listCount(@RequestBody Map<String,String> map){
        return registerService.listCount(map);
    }
}
