package com.huimv.admin.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.EnvWarningInfo;
import com.huimv.admin.mapper.EnvWarningInfoMapper;
import com.huimv.admin.service.IEnvWarningInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@RestController
@RequestMapping("/envWarningInfo")
@CrossOrigin
public class EnvWarningInfoController {
    @Autowired
    private IEnvWarningInfoService envWarningInfoService;

    @RequestMapping("/WarningInfoList")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return envWarningInfoService.list(httpServletRequest,paramsMap);
    }

    @RequestMapping("/listTop")
    public Result listTop(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return envWarningInfoService.listTop(httpServletRequest,paramsMap);
    }

    @RequestMapping("/listScreen")
    public Result listScreen(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return envWarningInfoService.listScreen(httpServletRequest,paramsMap);
    }

    @RequestMapping("/listScreenAll")
    public Result listScreenAll(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return envWarningInfoService.listScreenAll(httpServletRequest,paramsMap);
    }
}
