package com.huimv.admin.controller;


import com.huimv.admin.common.token.TokenSign;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IFeedingEnvService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-09-19
 */
@RestController
@RequestMapping("/feeding-env")
@CrossOrigin
public class FeedingEnvController {

    @Autowired
    private IFeedingEnvService feedingEnvService;


    @PostMapping("/countEnv")
    public Result countEnv(@RequestBody Map<String,String> map){
        return feedingEnvService.countEnv(map);
    }
    @PostMapping("/listFeed")
    public Result listFeed(@RequestBody Map<String,String> map){
        return feedingEnvService.listFeed(map);
    }
}
