package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IProdFermentDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 环保监测发酵罐数据表 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-11-08
 */
@RestController
@RequestMapping("/prod-ferment-data")
@CrossOrigin
public class ProdFermentDataController {

    @Autowired
    private IProdFermentDataService fermentDataService;

    @RequestMapping("/listAll")
    public Result listAll(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return fermentDataService.listAll(httpServletRequest, paramsMap);
    }
}
