package com.huimv.admin.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.entity.ProdFermentDevice;
import com.huimv.admin.service.IProdFermentDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 环保监测发酵罐设备列表 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-11-08
 */
@RestController
@RequestMapping("/prod-ferment-device")
@CrossOrigin
public class ProdFermentDeviceController {
    @Autowired
    private IProdFermentDeviceService deviceService;

    @RequestMapping("/list")
    public void listDevice(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
        }
        if ("".equals(pageSize) || null == pageSize) {
            pageSize = "10";
        }
        Page<ProdFermentDevice> page = new Page<>(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
    }
}
