package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 健康监测的耳标信息
 * </p>
 *
 * @author author
 * @since 2024-01-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartag_data")
public class EartagData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 耳标号
     */
    private String eartag;

    /**
     * 日龄
     */
    private String dayNum;

    /**
     * 温度
     */
    private String temp;

    /**
     * 运动量
     */
    private String act;

    /**
     * 电池电量
     */
    private String bat;

    /**
     * 牧场id
     */
    private Integer farmId;


}
