package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartag_device_register")
public class EartagDeviceRegister implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编码
     */
    private String deviceCode;

    private String chipId;

    private String countyCode;

    private String countyName;

    private String farmId;

    private String farmName;

    private Integer typeF;

    /**
     * 阶段
     */
    private Integer stage;

    /**
     * 栋舍id
     */
    private Integer pigpenId;

    /**
     * 单元id
     */
    private Integer unitId;

    private LocalDateTime registerTime;

    private LocalDateTime lastTime;

    private Integer activeStatus;

    private LocalDateTime activeTime;

    private Integer deviceStatus;

    /**
     * 设备别名
     */
    private String deviceAlias;

    private String location;

    private String remark;

    private LocalDate createDate;

    private String updateType;

    private LocalDateTime syncTime;

    private Integer deviceType;

    private String imei;

    /**
     * 1升级版  0免费版
     */
    private Integer upgrade;

    private Integer farmerId;

    private String farmerName;


}
