package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartag_eartag_register2")
public class EartagEartagRegister2 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String earmark;

    private LocalDateTime firstTime;

    private LocalDateTime lastTime;

    private String firstDevice;

    private String belongDevice;

    private String lastDevice;

    private LocalDateTime registerTime;

    private Integer registerType;

    private String remark;

    private String farmId;

    private Integer activeStatus;

    private LocalDateTime activeTime;

    private Integer liveStatus;

    private LocalDate createDate;

    private Integer bat;

    private Integer rebootTimes;

    private Integer onDayAge;

    private Integer dayAge;

    private String stageCode;

    private String stageName;

    private Integer pigpenId;

    private String pigpenName;

    private Integer unitId;

    private String unitName;

    private Integer actRange;

    private Float earTemp1;

    private Float envTemp1;

    private Long act;

    private Integer signal1;

    private String other;

    private String askTime;

    private Integer envAbnormal;

    private Integer earAbnormal;

    /**
     * 可视码
     */
    private String viewCode;

    /**
     * RFID id号
     */
    private String rfidId;


}
