package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("feeding_env")
public class FeedingEnv implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    /**
     * 0 哺乳  1配怀
     */
    private Integer deviceType;

    private String eartag;

    /**
     * 0正常 1异常
     */
    private Integer deviceStatus;

    /**
     * 0在线 1离线
     */
    private Integer onlineStatus;

    /**
     * 最后上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastTime;

    /**
     * 栋舍名称
     */
    private String unitName;

    /**
     * 栋舍id
     */
    private Integer unitId;

    /**
     * 采食量
     */
    private String foodIntake;

    /**
     * 0待产 哺乳
     */
    private Integer stageStatus;

    /**
     * 下料量
     */
    private String blanking;

    /**
     * 餐次
     */
    private Integer meals;

    /**
     * 膘体状态
     */
    private String bodySize;

    private Integer farmId;


}
