package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pj_data")
public class PjData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 时间
     */
    private Date dateTime;

    /**
     * 猪场名称
     */
    private String farmName;

    /**
     * 猪场id
     */
    private String farmId;

    /**
     * 猪舍名称
     */
    private String pigStyName;

    /**
     * 猪舍id
     */
    private String pigStyId;

    /**
     * 打料编号品名
     */
    private String feedName;

    /**
     * 重量
     */
    private String weight;


}
