package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产情况
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_production")
public class ProdProduction implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产房成活率
     */
    private String cfchl;

    /**
     * 保育成活率
     */
    private String bychl;

    /**
     * 育肥成活率
     */
    private String yfchl;

    /**
     * 每日喂料量
     */
    private String mrwll;


    /**
     * 日增重
     */
    private String rzz;

    /**
     * 肥猪成活率
     */
    private String fzchl;

    /**
     * 7日断配率
     */
    private String qrdpl;

    /**
     * 配种分娩率
     */
    private String pzfml;

    /**
     * 平均窝产仔数
     */
    private String pjwczs;

    /**
     * 平均窝产活仔数
     */
    private String pjwchzs;

    /**
     * 平均窝产正常仔数
     */
    private String pjwczczs;

    /**
     * 窝断奶仔猪数
     */
    private String wdnzzs;

    /**
     * 平均窝断奶窝重
     */
    private String pjwdnz;

    /**
     * 非生产天数
     */
    private String fccts;

    /**
     * 年产窝数
     */
    private String scws;

    /**
     * PSY
     */
    private String psy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date creatTime;

    private Integer farmId;

    private String other1;

    private String other2;

    private String other3;


}
