package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-01-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_feeding")
public class WriteFeeding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计划喂料
     */
    private String planFeed;

    /**
     * 实际喂料
     */
    private String actualFeed;

    /**
     * 实际喂水
     */
    private String actualWater;

    /**
     * 牧场id
     */
    private String farmId;

    /**
     * 日龄
     */
    private Integer dayNum;

    /**
     * 填写时间
     */
    private Date createTime;


    private String eartag;


}
