package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnergyData;
import com.huimv.admin.entity.FeedingData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.FeedDataVo;
import com.huimv.admin.entity.vo.FeedDataVo2;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-09-19
 */
public interface FeedingDataMapper extends BaseMapper<FeedingData> {
    List<FeedDataVo> listFeed(@Param(Constants.WRAPPER) QueryWrapper<FeedingData> queryWrapper);

    List<FeedDataVo2> listDayFeed(@Param(Constants.WRAPPER) QueryWrapper<FeedingData> queryWrapper);

    List<FeedingData> feedingData(@Param(Constants.WRAPPER) QueryWrapper<FeedingData> queryWrapper);
}
