package com.huimv.receive.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-08-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_goods_inventory")
public class BillGoodsInventory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物资类型
     */
    private String goodsType;

    private String goodsTypeName;

    /**
     * 物资数量
     */
    private String goodsNums;

    private String goodsName;

    private String goodsUnit;

    /**
     * 申请单id
     */
    private Integer billAdmission;

    /**
     * 当前位置
     */
    private String currentLocation;

    /**
     * 当前位置 id
     */
    private Integer currentLocationId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createDate;

    private String farmId;


}
