package com.huimv.receive.entity.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class UserAccountVo {
    private Long id;

    /**
     * 员工工号
     */
    private String userId;
    private String account;
    private String password;

    /**
     * 员工姓名
     */
    private String userName;

    /**
     * 0 男  1女
     */
    private Integer male;


    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date birthday;


    /**
     * 证件类型
     */
    private String cardType;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 证件号码
     */
    private String cardNum;



    /**
     * 部门
     */
    private String department;

    /**
     * 工作岗位 1 场长，3生物安全负责人 ，4 pcr 检测人员，5洗消站点工作人员
     */
    private String job;

    /**
     * 工作性质
     */
    private String jobType;

    /**
     * 工作地点
     */
    private String workLocation;

    /**
     * 1人员初级洗消站 2净区 3人员二级洗消站 4场内 5生产区 6车辆初级洗消站 7车辆二级洗消站 8中转料塔外围 9车辆三级洗消站 10销售中转站 11环保区洗消中心 12环保区净区 13洗消中心净区
     */
    private Integer workLocationType;

    private String farmId;
}
