package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.receive.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.receive.entity.vo.UserAccountVo;
import com.huimv.receive.entity.vo.UserAgeAndGender;
import com.huimv.receive.entity.vo.UserJob;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    IPage<UserAccountVo> pageAccount(Page<UserAccountVo> userAccountVoPage,@Param(Constants.WRAPPER)QueryWrapper<SysUser> wrapper,String farmId);

    List<UserAgeAndGender> userAgeAndGender(@Param("farmId")String farmId);

    List<UserJob> userJob(@Param("farmId")String farmId);
}
