package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillIsolate;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * <p>
 * 隔离 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBillIsolateService extends IService<BillIsolate> {

    Result listPersonalIsolate(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //后台隔离曲线
    Result Isolate(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result IsolateSelect(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //导出
    void printIsolate(HttpServletResponse httpServletRequest, Map<String, String> paramsMap) throws Exception;
}
