package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillLuggage;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-07-24
 */
public interface IBillLuggageService extends IService<BillLuggage> {

    Result addLuggage(HttpServletRequest httpServletRequest,String farmId, String userName, String phone, String luggageDate, String luggageLocation, String luggageLocationId, Integer luggageNum, MultipartFile img, MultipartFile img2, MultipartFile img3, MultipartFile img4, MultipartFile img5) throws IOException;

    Result listPersonalLuggage(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listLuggage(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result selectLuggage(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
    //导出
    void printLuggage(HttpServletResponse httpServletRequest, Map<String, String> paramsMap) throws Exception;
}
