package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IProdWarningInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 生产管理预警 前端控制器
 * </p>
 *
 * @author newspaper
 * @since 2024-01-11
 */
@RestController
@RequestMapping("/prod-warning-info")
@CrossOrigin
public class ProdWarningInfoController {

    @Autowired
    private IProdWarningInfoService prodWarningInfoService;

    @RequestMapping("/list")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return prodWarningInfoService.listWarning(httpServletRequest,paramsMap);
    }
}
