package com.huimv.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Data
public class CleanAndDryVo2 {
    private Integer id;

    /**
     * 来访类型 0人员  1环保车 2拉猪车 3饲料车  4送猪车 5物资车  6送餐
     */
    private Integer vistitType;

    /**
     * 目的地
     */
    private String destName;

    /**
     * 目的地 id
     */
    private Integer destId;

    /**
     * 申请人
     */
    private String admissionUserName;

    /**
     * 申请人id
     */
    private Integer admissionUserId;

    /**
     * 来访时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private LocalDateTime vistitDate;

    /**
     * 提交时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private LocalDateTime subDate;

    private Integer farmId;

    /**
     * 当前状态 0待审批 1合格  2异常
     */
    private Integer billStatus;

    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date passDate;

    /**
     * 处理人
     */
    private String passUserName;

    /**
     * 处理人id
     */
    private Integer passUserId;

    /**
     * 进程id
     */
    private Integer processId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date checkDate;
    /**
     * 检测地点
     */
    private String testLocation;


    private Integer testLocationId;

    private String phone;

    private String carNum;

    private String imgUrl;

    private Integer imgStatus;
    private Integer type;
}
