package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnvData;
import com.huimv.admin.entity.WriteEnvData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.WriteEnvDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 环境监测温湿度填报 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-11-17
 */
public interface WriteEnvDataMapper extends BaseMapper<WriteEnvData> {
    List<WriteEnvDataVo> listDay(@Param(Constants.WRAPPER) QueryWrapper<WriteEnvData> queryWrapper);

    List<WriteEnvDataVo> listDay2(@Param(Constants.WRAPPER) QueryWrapper<WriteEnvData> queryWrapper);

    List<WriteEnvDataVo> listNow(@Param(Constants.WRAPPER) QueryWrapper<WriteEnvData> queryWrapper);
}
