package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProtData;
import com.huimv.admin.entity.WriteProtData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.ProCountVo;
import com.huimv.admin.entity.vo.WriteProtDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 环保排水监测填报 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-11-17
 */
public interface WriteProtDataMapper extends BaseMapper<WriteProtData> {
    List<WriteProtDataVo> listWrite(@Param(Constants.WRAPPER) QueryWrapper<WriteProtData> queryWrapper);
    List<WriteProtDataVo> listWriteYear(@Param(Constants.WRAPPER) QueryWrapper<WriteProtData> queryWrapper);
}
