package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.WriteEnvData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.vo.WriteEnvDataAddVo;
import com.huimv.admin.entity.vo.WriteEnvDataVo;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 环境监测温湿度填报 服务类
 * </p>
 *
 * @author author
 * @since 2023-11-17
 */
public interface IWriteEnvDataService extends IService<WriteEnvData> {
    Result add(HttpServletRequest httpServletRequest, WriteEnvDataAddVo writeEnvDataAddVo);

    Result listData(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
    //提供一个设备列表，方便添加环保监测的数据
    Result envList(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
