package com.huimv.receive.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_device")
public class BaseDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备名字
     */
    private String deviceName;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 0在线 1离线
     */
    private Integer deviceStatus;

    /**
     * 位置名称
     */
    private String workLocation;

    /**
     * 位置类型
     */
    private Integer workLocationType;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 用户id
     */
    private Integer sysUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    private Integer farmId;


}
