package com.huimv.receive.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_luggage")
public class BillLuggage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 人员姓名
     */
    private String userName;

    private Integer userId;

    private String phone;

    /**
     * 寄存日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private LocalDateTime luggageDate;

    /**
     * 寄存位置
     */
    private String luggageLocation;

    private Integer luggageLocationId;

    private Integer luggageNum;

    /**
     * 照片地址
     */
    private String articlePicUrl;

    private String farmId;


}
