package com.huimv.receive.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("configuration")
public class Configuration implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * pcr有效时长 单位小时
     */
    private Integer pcr;

    /**
     * 人员洗澡时长 单位分钟
     */
    private Integer clean;

    /**
     * 烘干温蒂 单位为摄氏度
     */
    private Integer dry;

    private String farmId;


}
