package com.huimv.receive.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysAccountMultilevel extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String account;

    private String password;

    private Integer pid;

    private String pids;

    private Integer accountStatus;

    private String farmIds;

    private String color;

    private Boolean mode;

    private Integer lastFarmId;

    private String userName;
    private String farmNames;

    //0管理员，1 场长 2 紧急进程审核员  ，3生物安全负责人 ，4 pcr 检测人员，5洗消站点工作人员
    private Integer type;

    private String workLocation;
    private Integer workLocationType;
    //工作岗位 1 场长 2 紧急进程审核员  ，3生物安全负责人 ，4 pcr 检测人员，5洗消站点工作人员
    private String workPost;
    private String phone;
    private String imgUrl;
    private String workName;
    //证件类型 0身份证 ，1护照
    private String papersType;
    private String papersCode;
    private String wechatId;
    private Integer userId;
    private Integer farmId;
    private String jobs;

}
