package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.receive.entity.BillIsolate;
import com.huimv.receive.entity.BillPersonnelAdmission;
import com.huimv.receive.entity.vo.BillAdmissionVo;
import com.huimv.receive.entity.vo.IsolateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 隔离 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BillIsolateMapper extends BaseMapper<BillIsolate> {

    List<IsolateVo> Isolate(@Param(Constants.WRAPPER) QueryWrapper<BillIsolate> queryWrapper);
}
