package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.receive.entity.BillIsolate;
import com.huimv.receive.entity.BillPcr;
import com.huimv.receive.entity.vo.PcrVo;
import com.huimv.receive.entity.vo.PcrVo1;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * pcr 表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BillPcrMapper extends BaseMapper<BillPcr> {

    List<PcrVo> listPcr(@Param(Constants.WRAPPER) QueryWrapper<BillPcr> queryWrapper);

    List<PcrVo> listLocation(@Param(Constants.WRAPPER) QueryWrapper<BillPcr> queryWrapper);

    List<PcrVo1> listAll(@Param(Constants.WRAPPER) QueryWrapper<BillPcr> queryWrapper);
}
