package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.receive.entity.BillPersonnelAdmission;
import com.huimv.receive.entity.vo.BillAdmissionVo;
import com.huimv.receive.entity.vo.FactoryDirectorVo;
import com.huimv.receive.entity.vo.ListAdmissionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 入场申请 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BillPersonnelAdmissionMapper extends BaseMapper<BillPersonnelAdmission> {

    IPage<FactoryDirectorVo> listAll(String type, String farmId, IPage<FactoryDirectorVo> page);

    IPage<FactoryDirectorVo> listCarAll(String type, String farmId, Page<FactoryDirectorVo> page);

    List<ListAdmissionVo> countAdmission(@Param(Constants.WRAPPER) QueryWrapper<BillPersonnelAdmission> queryWrapper);

    List<BillAdmissionVo> admissionTail(@Param(Constants.WRAPPER) QueryWrapper<BillPersonnelAdmission> queryWrapper);
}
